std::integral_constant< _Tp, __v > Struct Template Reference
Metaprogramming
Inheritance diagram for std::integral_constant< _Tp, __v >:
[legend]

## Public Types

typedef integral_constant< _Tp, __v > | type
typedef _Tp | value_type

## Public Member Functions

constexpr | operator value_type () const

## Static Public Attributes

static constexpr _Tp | value

## Detailed Description

### template<typename _Tp, _Tp __v>
struct std::integral_constant< _Tp, __v >

integral_constant

Definition at line 57 of file type_traits.

The documentation for this struct was generated from the following file:

- type_traits